@mixin make-vjs-button($size, $fontSize){
  line-height: $size;
  width: $size;
  height: $size;
  .vjs-icon-placeholder{

    font-size: $fontSize;
  }
}

.inkube-player-video{
  .vjs-big-play-button{
    background: rgba(0,0,0,.5) !important;
  }
  &[ratio="fit"]{
    overflow: hidden;
  }
}


.video-js {
  video{
    object-fit: cover;
  }

  .vjs-big-play-button{
    @include make-vjs-button(4rem, 2rem);

  }
  .vjs-control-bar{
    line-height: 2.5rem;
    font-size: 1.125rem;
    height: 2.5rem;
    z-index: 11;
  }
}

.vjs-volume-panel{
  font-size: 1.625rem;
  width: 2.7rem;
}
.vjs-icons-sm{
  .vjs-big-play-button{
    @include make-vjs-button(2rem, 1rem);
  }
  .vjs-control-bar{
    line-height: 2rem;
    height: 2rem;
    font-size: 1rem;
    
  }

}

.vjs-control-bar-masked{
  .vjs-control-bar{
    background: rgba(0,0,0,.5);
  }
}

.vjs-current-time{
  order: 1;
}
.vjs-progress-control{
  order: 2;
}
.vjs-duration{
  order:3;
}
.vjs-volume-panel{
  order: 4;
}
.vjs-fullscreen-control{
  order:6;
}
.vjs-remaining-time{
  display: none !important;
}

body > .inkube-player-video video{
  width: 100%;
  height: auto;
}


.vjs-playing ~ figcaption.card-caption{
  display: none;
}

.vjs-masked-when-paused{
  &:after{
    transition: opacity .5s ease-in-out;
    opacity: 0;
    z-index: -1;
    display: block;
    content: '';
    position: absolute;
    top:0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(0,0,0,0.5);
  }
  &.vjs-paused.vjs-has-started{
    &:after{
      opacity: 1;
      z-index: 10;
    }
    .vjs-control-bar{
      display: none;
    }
  }
}

.vjs-caption-footer{
  @extend .mt-2;
  color: $red;
}
.vjs-duration-m:after{
 content: ' minutes';
}
.vjs-duration-s:after{
 content: ' secondes';
}

.vjs-masked-when-paused{
  .vjs-big-play-button{
    display: none !important;
  }
}


.inkube-player[data-type="video"]{
  position: relative;
  &:after{
    content: '';
    position: absolute;
    top: 0;
    left:0;
    right:0;
    bottom:0;
    z-index: 1;
  }
}